osgUtil::Tessellator::NewVertex Struct Reference

`#include <Tessellator>`

## Public Member Functions

| NewVertex ()
| NewVertex (const NewVertex &nv)
| NewVertex (osg::Vec3 *vx, float f1, osg::Vec3 *v1, float f2, osg::Vec3 *v2, float f3, osg::Vec3 *v3, float f4, osg::Vec3 *v4)

## Public Attributes

osg::Vec3 * | _vpos
float | _f1
osg::Vec3 * | _v1
float | _f2
osg::Vec3 * | _v2
float | _f3
osg::Vec3 * | _v3
float | _f4
osg::Vec3 * | _v4

## Constructor & Destructor Documentation

## NewVertex() [1/3]

osgUtil::Tessellator::NewVertex::NewVertex | ( |  | ) |

inline

References _f1, _f2, _f3, _f4, _v1, _v2, _v3, _v4, and _vpos.

Referenced by NewVertex().

## NewVertex() [2/3]

osgUtil::Tessellator::NewVertex::NewVertex | ( | const NewVertex & | nv | ) |

inline

References _f1, _f2, _f3, _f4, _v1, _v2, _v3, _v4, _vpos, and NewVertex().

## NewVertex() [3/3]

osgUtil::Tessellator::NewVertex::NewVertex | ( | osg::Vec3 * | vx,
|  | float | f1,
|  | osg::Vec3 * | v1,
|  | float | f2,
|  | osg::Vec3 * | v2,
|  | float | f3,
|  | osg::Vec3 * | v3,
|  | float | f4,
|  | osg::Vec3 * | v4 )

inline

References _f1, _f2, _f3, _f4, _v1, _v2, _v3, _v4, and _vpos.

## Member Data Documentation

## _f1

float osgUtil::Tessellator::NewVertex::_f1

Referenced by NewVertex(), NewVertex(), and NewVertex().

## _f2

float osgUtil::Tessellator::NewVertex::_f2

Referenced by NewVertex(), NewVertex(), and NewVertex().

## _f3

float osgUtil::Tessellator::NewVertex::_f3

Referenced by NewVertex(), NewVertex(), and NewVertex().

## _f4

float osgUtil::Tessellator::NewVertex::_f4

Referenced by NewVertex(), NewVertex(), and NewVertex().

## _v1

osg::Vec3* osgUtil::Tessellator::NewVertex::_v1

Referenced by NewVertex(), NewVertex(), and NewVertex().

## _v2

osg::Vec3* osgUtil::Tessellator::NewVertex::_v2

Referenced by NewVertex(), NewVertex(), and NewVertex().

## _v3

osg::Vec3* osgUtil::Tessellator::NewVertex::_v3

Referenced by NewVertex(), NewVertex(), and NewVertex().

## _v4

osg::Vec3* osgUtil::Tessellator::NewVertex::_v4

Referenced by NewVertex(), NewVertex(), and NewVertex().

## _vpos

osg::Vec3* osgUtil::Tessellator::NewVertex::_vpos

Referenced by NewVertex(), NewVertex(), and NewVertex().

The documentation for this struct was generated from the following file:

- Tessellator